Returns the size of the IV of the opened algorithm

- « mcrypt_enc_get_block_size

- mcrypt_enc_get_key_size »

- PHP Manual
- Mcrypt Functions
- Returns the size of the IV of the opened algorithm

# mcrypt_enc_get_iv_size

(PHP 4 >= 4.0.2, PHP 5, PHP 7 < 7.2.0, PECL mcrypt >= 1.0.0)

mcrypt_enc_get_iv_size — Returns the size of the IV of the opened algorithm

Warning

This function has been DEPRECATED as of PHP 7.1.0 and REMOVED as of PHP 7.2.0. Relying on this function is highly discouraged.

### Description

mcrypt_enc_get_iv_size(resource `$td`): int

This function returns the size of the IV of the algorithm specified by the encryption descriptor in bytes. An IV is used in cbc, cfb and ofb modes, and in some algorithms in stream mode.

### Parameters

`td`

  The encryption descriptor.

### Return Values

Returns the size of the IV, or 0 if the IV is ignored by the algorithm.